@common_test_suite @common @bucket_lifecycle
Feature: VMware OSE Common Test Suite/Validate Bucket Lifecycle Functionality

  Scenario Outline: Add bucket lifecycle rule with prefix
    Given I am a tenant user <tenant_user>
    Then I upload object with key <object_key>
    When I Add Bucket Lifecycle: <lifecycle_rule> with prefix
    Then I get Bucket lifecycle
    Then I validate Bucket lifecycle
    Then I delete the bucket
    Examples: Create bucket
      | tenant_user           | lifecycle_rule                                | object_key        |
      | vcd-site_ossauto1_tu1 | {"prefix":"sample_object","status":"Enabled"} | sample_object.txt |

  Scenario Outline: Validate bucket has no lifecycle rule
    Given I am a tenant user <tenant_user>
    Then I upload object with key <object_key>
    Then I validate bucket has no lifecycle
    Then I delete the bucket
    Examples: Create bucket
      | tenant_user           | object_key        |
      | vcd-site_ossauto1_tu1 | sample_object.txt |

  Scenario Outline: Add bucket lifecycle rule with filter
    Given I am a tenant user <tenant_user>
    Then I upload object with key <object_key>
    When I Add Bucket Lifecycle: <lifecycle_rule> with prefix
    Then I delete the lifecycle
    Then I delete the bucket
    Examples: Create bucket
      | tenant_user           | lifecycle_rule                                | object_key        |
      | vcd-site_ossauto1_tu1 | {"prefix":"sample_object","status":"Enabled"} | sample_object.txt |