@common_test_suite @common @bucket_policy
Feature: VMware OSE Common Test Suite/Validate Bucket Policy Functionality

  Scenario Outline: Add bucket policy with template
    Given I am a tenant user <tenant_user>
    When I Add bucket Policy to bucket with template: <bucket_policy_template>
    Then I verify create bucket status <expected_status_code_create_bucket>
    Then I delete the bucket
    Then I verify delete bucket status <expected_status_code_delete_bucket>
    Examples: Bucket Policy
      | tenant_user           | bucket_policy_template                  | expected_status_code_create_bucket | expected_status_code_delete_bucket |
      | vcd-site_ossauto1_tu1 | BUCKET_POLICY_TEMPLATE_1                | 200                                | 204                                |
      | vcd-site_ossauto1_tu1 | BUCKET_POLICY_TEMPLATE_WORLD_READ_WRITE | 200                                | 204                                |
      | vcd-site_ossauto1_tu1 | BUCKET_POLICY_TEMPLATE_WORLD_WRITE      | 200                                | 204                                |

#  Scenario Outline: Add bucket policy with wrong content-MD5
#    Given I am a tenant user <tenant_user>
#    When I validate bucket policy with contentMD5: <bucket_policy_template>
#    Then I verify create bucket status <expected_status_code_create_bucket>
#    Then I delete the bucket
#    Then I verify delete bucket status <expected_status_code_delete_bucket>
#    Examples:  Bucket Policy
#      | tenant_user           | bucket_policy_template   | expected_status_code_create_bucket | expected_status_code_delete_bucket |
#      | vcd-site_ossauto1_tu1 | BUCKET_POLICY_TEMPLATE_1 | 200                                | 204                                |
