@common_test_suite @common @bucket_website @ceph_exclude
Feature: VMware OSE Common Test Suite/Validate Bucket Website

  Scenario Outline: Put single Bucket WebSite with normal characters
    Given I am a tenant user <tenant_user>
    When I add Bucket Website with parameters <parameters>
    Then I delete the bucket
    Examples: Bucket Website
      | tenant_user           | parameters                                                                         |
      | vcd-site_ossauto1_tu1 | {'ErrorDocument': {'Key': 'error.html'},'IndexDocument': {'Suffix': 'index.html'}} |


  Scenario Outline: Get Bucket WebSite
    Given I am a tenant user <tenant_user>
    When I add Bucket Website with parameters <parameters>
    Then I get Bucket Website
    Then I delete the bucket
    Examples: Bucket Website
      | tenant_user           | parameters                                                                         |
      | vcd-site_ossauto1_tu1 | {'ErrorDocument': {'Key': 'error.html'},'IndexDocument': {'Suffix': 'index.html'}} |

  Scenario Outline: Delete Bucket Website
    Given I am a tenant user <tenant_user>
    When I add Bucket Website with parameters <parameters>
    Then I delete Bucket Website
    Then I delete the bucket
    Examples: Bucket Website
      | tenant_user           | parameters                                                                         |
      | vcd-site_ossauto1_tu1 | {'ErrorDocument': {'Key': 'error.html'},'IndexDocument': {'Suffix': 'index.html'}} |