@common_test_suite @common @list_multipart_upload
Feature: VMware OSE Common Test Suite/Validate List Multipart Upload functionality with File object

  Scenario Outline: Verify List multipart upload with file object
    Given I am a tenant user <tenant_user>
    When I should create multipart upload successfully with <create_multipart_upload_parameters>
    Then I should be able to list multipart upload successfully with <list_multipart_uploads_parameters>
    Then I delete object with key <object_key> from bucket
    Then I delete the bucket
    Examples: multipart upload | file object
      | tenant_user           | object_key    | create_multipart_upload_parameters | list_multipart_uploads_parameters                                     |
      | vcd-site_ossauto1_tu1 | viva_test.bmp | {"Key":"viva_test.bmp"}            | {}                                                                    |
      | vcd-site_ossauto1_tu1 | viva_test.bmp | {"Key":"viva_test.bmp"}            | {"KeyMarker":"viva_test.bmp"}                                         |
      | vcd-site_ossauto1_tu1 | viva_test.bmp | {"Key":"viva_test.bmp"}            | {"KeyMarker":"viva_test.bmp","UploadIdMarker":"{{upload_id_marker}}"} |
      | vcd-site_ossauto1_tu1 | viva_test.bmp | {"Key":"viva_test.bmp"}            | {"MaxUploads": 1}                                                     |
      | vcd-site_ossauto1_tu1 | viva_test.bmp | {"Key":"viva_test.bmp"}            | {"Prefix": "sample"}                                                  |
      | vcd-site_ossauto1_tu1 | viva_test.bmp | {"Key":"viva_test.bmp"}            | {"EncodingType": "url"}                                               |