@common_test_suite @common @multipart_upload @upload_part
Feature: VMware OSE Common Test Suite/Validate UploadPart functionality with File object

  Scenario Outline: Verify UploadPart with file object
    Given I am a tenant user <tenant_user>
    When I should create multipart upload successfully with <create_multipart_upload_parameters>
    Then I should be able to upload_part successfully with <upload_part_parameters>
    Then I delete object with key <object_key> from bucket
    Then I delete the bucket
    Examples: UploadPart | file object
      | tenant_user           | object_key        | create_multipart_upload_parameters | upload_part_parameters                                                  |
      | vcd-site_ossauto1_tu1 | viva_test.bmp | {"Key":"viva_test.bmp"}        | {"Key":"viva_test.bmp", "PartNumber":1}                             |
      | vcd-site_ossauto1_tu1 | viva_test.bmp | {"Key":"viva_test.bmp"}        | {"Key":"viva_test.bmp", "PartNumber":1,"RequestPayer": "requester"} |