# encoding: utf-8
# @author: Xiaochun Li
# @file: helper.py
# @time: 2023/4/6 09:24
# @desc:
import glob
import os


class Helper:
    @staticmethod
    def get_all_feature_files(path, file_extension=".feature"):
        # to store files in a list
        file_name_list = []
        # dirs=directories
        for (root, dirs, file) in os.walk(path):
            for f in file:
                if f.endswith(file_extension):
                    file_name_list.append(f)
        return file_name_list

    @staticmethod
    def get_item_index_from_list(original_list, expected_item):
        index = 0
        for value in original_list:
            if expected_item in value:
                return index
            index = index + 1
        return None
