@common_test_suite @common @complete_multipart_upload
Feature: VMware OSE Common Test Suite/Validate Complete Multipart Upload functionality with File object

  Scenario Outline: Verify Complete multipart upload to file object
    Given I am a tenant user <tenant_user>
    When I should create multipart upload successfully with <create_multipart_upload_parameters>
    Then I should complete multipart upload successfully with <complete_multipart_upload_parameters>
    Then I delete object with key <object_key> from bucket
    Then I delete the bucket
    Examples: complete multipart upload | file object
      | tenant_user           | object_key        | create_multipart_upload_parameters | complete_multipart_upload_parameters                  |
      | vcd-site_ossauto1_tu1 | viva_test.bmp | {"Key":"viva_test.bmp"}        | {"Key":"viva_test.bmp"}                           |
      | vcd-site_ossauto1_tu1 | viva_test.bmp | {"Key":"viva_test.bmp"}        | {"Key":"viva_test.bmp","RequestPayer":"requester"} |
