@common_test_suite @common @list_multipart_upload
Feature: VMware OSE Common Test Suite/Validate List Multipart Upload functionality with Folder object

  Scenario Outline: Verify List multipart upload with folder object
    Given I am a tenant user <tenant_user>
    When I upload Path object to bucket with key <object_key> and parameters <parameters>
    Then I put Path object <path_object_key> to bucket
    When I should create multipart upload successfully with <create_multipart_upload_parameters>
    Then I should be able to list multipart upload successfully with <list_multipart_uploads_parameters>
    Then I delete object with key <object_key> from bucket
    Then I delete object with key <path_object_key> from bucket
    Then I delete the bucket
    Examples: multipart upload
      | tenant_user           | object_key         | path_object_key         | parameters | list_multipart_uploads_parameters                                     | create_multipart_upload_parameters                     |
      | vcd-site_ossauto1_tu1 | sub1/viva_test.bmp | sub1/sub2/viva_test.bmp | {}         | {}                                                                    | {"Key":"sub1/viva_test.bmp","StorageClass":"STANDARD"} |
      | vcd-site_ossauto1_tu1 | sub1/viva_test.bmp | sub1/sub2/viva_test.bmp | {}         | {"KeyMarker":"viva_test.bmp"}                                         | {"Key":"sub1/viva_test.bmp","StorageClass":"STANDARD"} |
      | vcd-site_ossauto1_tu1 | sub1/viva_test.bmp | sub1/sub2/viva_test.bmp | {}         | {"KeyMarker":"viva_test.bmp","UploadIdMarker":"{{upload_id_marker}}"} | {"Key":"sub1/viva_test.bmp","StorageClass":"STANDARD"} |
      | vcd-site_ossauto1_tu1 | sub1/viva_test.bmp | sub1/sub2/viva_test.bmp | {}         | {"MaxUploads": 1}                                                     | {"Key":"sub1/viva_test.bmp","StorageClass":"STANDARD"} |
      | vcd-site_ossauto1_tu1 | sub1/viva_test.bmp | sub1/sub2/viva_test.bmp | {}         | {"Prefix": "sub"}                                                     | {"Key":"sub1/viva_test.bmp","StorageClass":"STANDARD"} |
      | vcd-site_ossauto1_tu1 | sub1/viva_test.bmp | sub1/sub2/viva_test.bmp | {}         | {"EncodingType": "url"}                                               | {"Key":"sub1/viva_test.bmp","StorageClass":"STANDARD"} |
