@common_test_suite @common @public_access_block
Feature: VMware OSE Common Test Suite/Validate Public Access Block

  Scenario Outline: Verify put Public access block
    Given I am a tenant user <tenant_user>
    When I create a bucket on default region
    Then I should put public access block successfully with configuration: <public_access_block_configuration>
    Then I delete the bucket
    Examples: complete multipart upload | file object
      | tenant_user           | public_access_block_configuration |
      | vcd-site_ossauto1_tu1 | {'BlockPublicAcls':True}          |

  Scenario Outline: Verify get public access block
    Given I am a tenant user <tenant_user>
    When I create a bucket on default region
    Then I should put public access block successfully with configuration: <public_access_block_configuration>
    Then I should be able to get public access block successfully
    Then I delete the bucket
    Examples: complete multipart upload | file object
      | tenant_user           | public_access_block_configuration |
      | vcd-site_ossauto1_tu1 | {"BlockPublicAcls": False}        |

  Scenario Outline: Verify delete public access block
    Given I am a tenant user <tenant_user>
    When I create a bucket on default region
    Then I should put public access block successfully with configuration: <public_access_block_configuration>
    Then I should be able to delete public access block successfully
    Then I delete the bucket
    Examples: complete multipart upload | file object
      | tenant_user           | public_access_block_configuration |
      | vcd-site_ossauto1_tu1 | {"BlockPublicAcls": False}        |